=== debian/changelog ===
nanoflann (1.3.2+ds-1) unstable; urgency=medium

  * [83c50bc] Add Multi-Arch: foreign to libnanoflann-dev
  * [cc54689] New upstream version 1.3.2+ds
  * [d1c6c6d] Update patches
    - Update patch to install nanonflann architecture-independently
    - New patch to set target compile features instead of CXX_STANDARD

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 05 Nov 2020 10:48:40 +0100

nanoflann (1.3.1+ds-2) unstable; urgency=medium

  * Team upload.
  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Nov 2020 09:11:07 +0100

nanoflann (1.3.1+ds-1) unstable; urgency=medium

  * Package split from MRPT.
    This is the first release as stand-alone library, which is
    intended to replace libmrpt-nanoflann-dev.
    Released with the MRPT maintainer's consent.

 -- Timo Röhling <timo@gaussglocke.de>  Sun, 01 Nov 2020 11:56:12 +0100
