=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
BUILD_TESTS=ON
else
BUILD_TESTS=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_EXAMPLES=OFF \
		-DBUILD_BENCHMARKS=OFF \
		-DBUILD_TESTS=$(BUILD_TESTS)

execute_after_dh_auto_build:
	[ -n "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ] || doxygen

execute_after_dh_installdocs:
	[ -n "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ] || dh_doxygen
