## nanoflann 1.4.2+ds

=== benchmarkTool/CMakeLists.txt ===

ADD_CUSTOM_TARGET(benchmarks)

add_subdirectory(realTests)
add_subdirectory(randomTests)
