=== debian/changelog ===
nanoflann (1.4.2+ds-1) unstable; urgency=medium

  * New upstream version 1.4.2+ds

 -- Timo Röhling <roehling@debian.org>  Wed, 12 Jan 2022 13:54:44 +0100

nanoflann (1.4.1+ds-1) unstable; urgency=medium

  * New upstream version 1.4.1+ds

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Jan 2022 17:36:00 +0100

nanoflann (1.4.0+ds-1) unstable; urgency=medium

  * Update list of excluded files in d/copyright
  * New upstream version 1.4.0+ds
  * Refresh patches.
    Drop CMake buildsystem patches which have been applied upstream.
  * Bump Standards-Version to 4.6.0
  * Update uploader email address

 -- Timo Röhling <roehling@debian.org>  Tue, 04 Jan 2022 10:42:47 +0100
