=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Timo Röhling <timo@gaussglocke.de>, José Luis Blanco Claraco <joseluisblancoc@gmail.com>
+Uploaders: Timo Röhling <roehling@debian.org>, José Luis Blanco Claraco <joseluisblancoc@gmail.com>
 Build-Depends: debhelper-compat (= 13), cmake, libgtest-dev <!nocheck>, doxygen <!nodoc>
 Homepage: https://github.com/jlblancoc/nanoflann
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/science-team/nanoflann.git
 Vcs-Browser: https://salsa.debian.org/science-team/nanoflann
