## nanoflann 1.4.3%2Bds

=== debian/rules ===
#!/usr/bin/make -f


BUILD_TESTS = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPKGCONFIG_INSTALL_DIR=share/pkgconfig \
		-DNANOFLANN_BUILD_EXAMPLES=OFF \
		-DNANOFLANN_BUILD_BENCHMARKS=OFF \
		-DNANOFLANN_BUILD_TESTS=$(BUILD_TESTS)

execute_after_dh_auto_build:
ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
	doxygen
endif

execute_after_dh_installdocs:
ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
	dh_doxygen
endif
