## nanoflann 1.4.3+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,11 +20,6 @@
 message(STATUS "nanoflann version: ${NANOFLANN_VERSION_MAJOR}.${NANOFLANN_VERSION_MINOR}.${NANOFLANN_VERSION_PATCH}")
 file(WRITE "${nanoflann_BINARY_DIR}/version" "${NANOFLANN_VERSION_MAJOR}.${NANOFLANN_VERSION_MINOR}.${NANOFLANN_VERSION_PATCH}")
 
-
-# Compiler options:
-set(CMAKE_CXX_STANDARD 11)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
-
 # Enable a high level of warnings.
 if (CMAKE_COMPILER_IS_GNUCXX)
 	# The -Wno-long-long is required in 64bit systems when including sytem headers.
@@ -41,23 +36,40 @@
 endif()
 
 # Solution Folder options:
-set_property(GLOBAL PROPERTY USE_FOLDERS ON)
-set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMakeTargets")
+if (${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
+	set_property(GLOBAL PROPERTY USE_FOLDERS ON)
+	set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMakeTargets")
+endif()
 
 add_definitions ( -DNANOFLANN_PATH="${CMAKE_SOURCE_DIR}" )
 
+include(GNUInstallDirs)
+if ($ENV{VERBOSE})
+	message(STATUS "CMAKE_INSTALL_INCLUDEDIR: ${CMAKE_INSTALL_INCLUDEDIR}")
+	message(STATUS "CMAKE_INSTALL_DATADIR   : ${CMAKE_INSTALL_DATADIR}")
+	message(STATUS "CMAKE_INSTALL_LIBDIR    : ${CMAKE_INSTALL_LIBDIR}")
+	message(STATUS "CMAKE_INSTALL_DOCDIR    : ${CMAKE_INSTALL_DOCDIR}")
+	message(STATUS "CMAKE_INSTALL_PREFIX    : ${CMAKE_INSTALL_PREFIX}")
+endif()
 
-include(GNUInstallDirs)
 # Set relative install directories
 set(INSTALL_INCLUDE_DIR "${CMAKE_INSTALL_INCLUDEDIR}")
-set(INSTALL_PKGCONFIG_DIR "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
-set(INSTALL_CMAKE_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")
+set(INSTALL_CMAKE_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake/")
 set(INSTALL_COPYRIGHT_DIR "${CMAKE_INSTALL_DOCDIR}")
-
+if(NOT DEFINED PKGCONFIG_INSTALL_DIR)
+  set(PKGCONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
+endif()
 
 # Define nanoflann lib (header-only)
 add_library(nanoflann INTERFACE)
 
+# Tell CMake which C++ features we need
+target_compile_features(nanoflann
+	INTERFACE
+		cxx_auto_type
+		cxx_decltype
+		cxx_deleted_functions
+)
 target_include_directories(nanoflann
 	INTERFACE
 		$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
@@ -69,14 +81,14 @@
 add_library(nanoflann::nanoflann ALIAS nanoflann)
 
 # Examples
-option(BUILD_EXAMPLES "Build examples" ON)
-if(BUILD_EXAMPLES)
+option(NANOFLANN_BUILD_EXAMPLES "Build examples" ON)
+if(NANOFLANN_BUILD_EXAMPLES)
 	add_subdirectory(examples)
 endif()
 
 # Benchmarks
-option(BUILD_BENCHMARKS "Build benchmarks" OFF)
-if(BUILD_BENCHMARKS)
+option(NANOFLANN_BUILD_BENCHMARKS "Build benchmarks" OFF)
+if(NANOFLANN_BUILD_BENCHMARKS)
         # 3rdparty Libraries
         include(3rdparty/CMakeLists-flann.txt)
         include(3rdparty/CMakeLists-fastann.txt)
@@ -85,8 +97,8 @@
 endif()
 
 # Tests
-option(BUILD_TESTS "Build unit tests" ON)
-if(BUILD_TESTS)
+option(NANOFLANN_BUILD_TESTS "Build unit tests" ON)
+if(NANOFLANN_BUILD_TESTS)
 	enable_testing()
 	add_subdirectory(tests)
 endif()
@@ -95,27 +107,13 @@
 # Install/uninstall targets
 # --------------------------------------------------------------------
 
-#--------------------------------------------------------------
-# If we are building the final step of the Debian package,
-#  save each library files in the corresponding directories:
-#--------------------------------------------------------------
-if(CMAKE_USE_DEB_POSTFIXS)
-	# Values when building a Debian package ---------------
-	message(STATUS "** Using Debian post-fix for install directories **")
-	set(libnanoflann_dev_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/libnanoflann-dev/usr/")
-	set(nanoflann_pkgconfig_INSTALL_PREFIX "/usr")	# Values when building a Debian package
-ELSE()
-	# Values under normal conditions -----------------------
-	set(libnanoflann_dev_INSTALL_PREFIX "")
-	set(nanoflann_pkgconfig_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}") 	# Values under normal conditions
-endif()
+# Variable for pkgconfig file:
+set(nanoflann_pkgconfig_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
 
 # Generate the pkg-config file:
 configure_file(
 	"${nanoflann_SOURCE_DIR}/scripts/nanoflann.pc.in"
 	"${nanoflann_BINARY_DIR}/nanoflann.pc" @ONLY IMMEDIATE )
-
-
 
 # Generate the cmake config and cmake config-version file:
 include(CMakePackageConfigHelpers)
@@ -146,9 +144,14 @@
   "${nanoflann_BINARY_DIR}/cmake_uninstall.cmake"
   @ONLY IMMEDIATE)
 
-add_custom_target(uninstall
-  "${CMAKE_COMMAND}" -P "${nanoflann_BINARY_DIR}/cmake_uninstall.cmake")
-
+if (NOT TARGET uninstall)
+  add_custom_target(uninstall
+    "${CMAKE_COMMAND}" -P "${nanoflann_BINARY_DIR}/cmake_uninstall.cmake")
+else()
+  add_custom_target(nanoflann_uninstall
+    "${CMAKE_COMMAND}" -P "${nanoflann_BINARY_DIR}/cmake_uninstall.cmake")
+  add_dependencies(uninstall nanoflann_uninstall)
+endif()
 
 export(EXPORT nanoflannTargets
        NAMESPACE nanoflann::
@@ -158,23 +161,17 @@
 
 install(EXPORT nanoflannTargets
         NAMESPACE nanoflann::
-        DESTINATION "${libnanoflann_dev_INSTALL_PREFIX}${INSTALL_CMAKE_DIR}")
+        DESTINATION "${INSTALL_CMAKE_DIR}")
 
 install(
 	FILES "${nanoflann_BINARY_DIR}/nanoflann.pc"
-	DESTINATION "${libnanoflann_dev_INSTALL_PREFIX}${INSTALL_PKGCONFIG_DIR}" )
+	DESTINATION "${PKGCONFIG_INSTALL_DIR}" )
 
 install(
     FILES "${nanoflann_BINARY_DIR}/nanoflannConfig.cmake"
           "${nanoflann_BINARY_DIR}/nanoflannConfigVersion.cmake"
-    DESTINATION "${libnanoflann_dev_INSTALL_PREFIX}${INSTALL_CMAKE_DIR}" )
+    DESTINATION "${INSTALL_CMAKE_DIR}" )
 
 install(
 	FILES "${nanoflann_SOURCE_DIR}/include/nanoflann.hpp"
-	DESTINATION "${libnanoflann_dev_INSTALL_PREFIX}${INSTALL_INCLUDE_DIR}" )
-
-if(CMAKE_USE_DEB_POSTFIXS)
-	install(
-		FILES "${nanoflann_SOURCE_DIR}/copyright"
-		DESTINATION "${libnanoflann_dev_INSTALL_PREFIX}${INSTALL_COPYRIGHT_DIR}" )
-endif()
+	DESTINATION "${INSTALL_INCLUDE_DIR}" )
