=== debian/changelog ===
nanoflann (1.4.3+ds-2) unstable; urgency=medium

  * Avoid conflicts with None macro from X11.h (Closes: #1016245)

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Aug 2022 18:17:42 +0200

nanoflann (1.4.3+ds-1) unstable; urgency=medium

  * New upstream version 1.4.3+ds
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Wed, 27 Jul 2022 11:19:08 +0200
