=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/nanoflann-$1\.tar\.gz/,\
     dversionmangle=s/\+ds\d*$//,oversionmangle=s/$/+ds/,\
     repack \
https://github.com/jlblancoc/nanoflann/releases/latest .*/v(\d\S+)\.tar\.gz
