## nanoflann 1.5.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,10 @@
 if (CMAKE_COMPILER_IS_GNUCXX)
 	# The -Wno-long-long is required in 64bit systems when including sytem headers.
 	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
-	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros -O2 -mtune=native)
+	add_compile_options(-Wall -Wshadow -Wno-long-long -Wno-variadic-macros)
+	if (NOT "${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
+		add_compile_options(-O2 -mtune=native)
+	endif()
 	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
 	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
 		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
@@ -60,6 +63,9 @@
   set(PKGCONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
 endif()
 
+# Save all executables (unit tests & examples) in the same place:
+set(EXECUTABLE_OUTPUT_PATH ${${PROJECT_NAME}_BINARY_DIR}/bin CACHE PATH "Output directory for executables")
+
 # Define nanoflann lib (header-only)
 add_library(nanoflann INTERFACE)
 
@@ -78,22 +84,18 @@
 install(TARGETS nanoflann
         EXPORT nanoflannTargets)
 
+# Since 2023-March, the parallel KD tree construction feature 
+# needs pthreads for gcc:
+find_package(Threads)
+target_link_libraries(nanoflann INTERFACE Threads::Threads)
+
+
 add_library(nanoflann::nanoflann ALIAS nanoflann)
 
 # Examples
 option(NANOFLANN_BUILD_EXAMPLES "Build examples" ON)
 if(NANOFLANN_BUILD_EXAMPLES)
 	add_subdirectory(examples)
-endif()
-
-# Benchmarks
-option(NANOFLANN_BUILD_BENCHMARKS "Build benchmarks" OFF)
-if(NANOFLANN_BUILD_BENCHMARKS)
-        # 3rdparty Libraries
-        include(3rdparty/CMakeLists-flann.txt)
-        include(3rdparty/CMakeLists-fastann.txt)
-        include(3rdparty/CMakeLists-libkdtree.txt)
-	add_subdirectory(benchmarkTool)
 endif()
 
 # Tests
