=== debian/changelog ===
nanoflann (1.5.0+ds-1) unstable; urgency=medium

  * Fix d/watch
  * New upstream version 1.5.0+ds
  * Refresh patches
    - Drop 0003-Avoid-conflicts-when-included-together-with-X11.h.patch
      (merged upstream)
  * Bump Standards-Version to 4.6.2
  * Bump cmake_minimum_required() in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Jun 2023 23:07:35 +0200
