=== debian/changelog ===
nanoflann (1.5.4+ds-1) unstable; urgency=medium

  * New upstream version 1.5.4+ds
  * Update patches
    - Drop 0001-Use-system-gtest.patch (obsolete)
    - Drop 0003-Look-for-Threads-dependency-in-CMake-config-script.patch
      (merged upstream)
  * Use new NANOFLANN_USE_SYSTEM_GTEST option
  * Modernize autopkgtest

 -- Timo Röhling <roehling@debian.org>  Wed, 17 Jan 2024 17:11:26 +0100

nanoflann (1.5.3+ds-2) unstable; urgency=medium

  * Remove obsolete cmake -DNANOFLANN_BUILD_BENCHMARKS=OFF argument
  * Look for Threads dependency in CMake config script (Closes: #1058950)

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Dec 2023 23:55:51 +0100

nanoflann (1.5.3+ds-1) unstable; urgency=medium

  * New upstream version 1.5.3+ds

 -- Timo Röhling <roehling@debian.org>  Mon, 11 Dec 2023 16:07:44 +0100

nanoflann (1.5.2+ds-1) unstable; urgency=medium

  * New upstream version 1.5.2+ds
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Dec 2023 16:38:46 +0100
