=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Timo Röhling <roehling@debian.org>, José Luis Blanco Claraco <joseluisblancoc@gmail.com>
 Build-Depends: debhelper-compat (= 13), cmake, libgtest-dev <!nocheck>, doxygen <!nodoc>
 Homepage: https://github.com/jlblancoc/nanoflann
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/science-team/nanoflann.git
 Vcs-Browser: https://salsa.debian.org/science-team/nanoflann
