=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	dh_auto_configure -- \
 		-DPKGCONFIG_INSTALL_DIR=share/pkgconfig \
 		-DNANOFLANN_BUILD_EXAMPLES=OFF \
-		-DNANOFLANN_BUILD_BENCHMARKS=OFF \
-		-DNANOFLANN_BUILD_TESTS=$(BUILD_TESTS)
+		-DNANOFLANN_BUILD_TESTS=$(BUILD_TESTS) \
+		-DNANOFLANN_USE_SYSTEM_GTEST=ON
 
 execute_after_dh_auto_build:
 ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
