=== debian/tests/control ===
Tests: run-unit-test
Depends: libnanoflann-dev, libgtest-dev, cmake, g++ | c++-compiler
Restrictions: allow-stderr
