## nanoflann 1.6.0+ds

=== debian/changelog ===
nanoflann (1.6.0+ds-1) unstable; urgency=medium

  * New upstream version 1.6.0+ds
  * Reformat control files with wrap-and-sort
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Jul 2024 21:10:28 +0200
