=== debian/control ===
Source: nanoflann
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
 José Luis Blanco Claraco <joseluisblancoc@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 doxygen <!nodoc>,
 libgtest-dev <!nocheck>,
Homepage: https://github.com/jlblancoc/nanoflann
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/nanoflann.git
Vcs-Browser: https://salsa.debian.org/science-team/nanoflann

Package: libnanoflann-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: C++11 header-only library for Nearest Neighbor Search with KD-Trees
 Nanoflann is a fork of the FLANN library. Originally born as a child project
 of the Mobile Robot Programming Toolkit, nanoflann is now available as
 stand-alone library.
 .
 It trades some of the flexibility of FLANN for raw execution speed and is much
 more memory efficient, as it avoids unnecessary copies of point cloud data.
