## nanoflann 1.6.3+ds

=== debian/changelog ===
nanoflann (1.6.3+ds-1) unstable; urgency=medium

  * New upstream version 1.6.3+ds
  * Wrap and sort Debian package files
  * Bump copyright years in d/copyright

 -- Timo Röhling <roehling@debian.org>  Sat, 11 Jan 2025 23:59:14 +0100

nanoflann (1.6.2+ds-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 1.6.2+ds

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Nov 2024 21:25:21 +0100
