=== debian/changelog ===
nanoflann (1.7.0+ds-1) unstable; urgency=medium

  * New upstream version 1.7.0+ds

 -- Timo Röhling <roehling@debian.org>  Mon, 10 Feb 2025 21:30:03 +0100
