=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Timo Röhling <roehling@debian.org>,
  José Luis Blanco Claraco <joseluisblancoc@gmail.com>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
  doxygen <!nodoc>,
  libgtest-dev <!nocheck>,
 Homepage: https://github.com/jlblancoc/nanoflann
