=== debian/tests/control ===
Tests:
 run-unit-test,
Depends:
 cmake,
 g++ | c++-compiler,
 libgtest-dev,
 libnanoflann-dev,
Restrictions:
 allow-stderr,
