## nanoflann 1.7.1+ds

=== debian/changelog ===
nanoflann (1.7.1+ds-1) unstable; urgency=medium

  * New upstream version 1.7.1+ds
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Tue, 01 Apr 2025 21:14:38 +0200
