=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  doxygen <!nodoc>,
  libgtest-dev <!nocheck>,
 Homepage: https://github.com/jlblancoc/nanoflann
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/science-team/nanoflann.git
 Vcs-Browser: https://salsa.debian.org/science-team/nanoflann
